Сайт | Скачать | Видео | Wiki

Автор Тема: Сборка плагинов к Audacious  (Прочитано 10332 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Zloy_T

  • Почетный участник
  • Старожил
  • *
  • Сообщений: 326
  • Репутация: +74/-2
Сборка плагинов к Audacious
« : 17 Июль 2009, 23:18:02 »
не могу собрать. Что за нафиг?

Код
checking pkg-config is at least version 0.9.0... yes
checking for AUDACIOUS... yes
checking for GLIB... no
configure: error: Cannot find Glib2 >= 2.16.0
#


глиб2 поставил glib-2.18.3-pup4.pet, не помогло
собрал glib-2.20.4-i486.pet - такая ж фигня

пробовал так
Код
GLIB_CFLAGS="-I/usr/include/glib-2.0 -l/usr/lib/glib-2.0" GLIB_LDFLAGS="-L/usr/lib/glib-2.0" ./configure
GLIB_LIBS="-I/usr/include/glib-2.0 -l/usr/lib/glib-2.0" GLIB_LIBS="-L/usr/lib/glib-2.0" ./configure

не видит глиб, хоть тресни. ЧЯДНТ?
« Последнее редактирование: 17 Июль 2009, 23:31:21 от Zloy_T »

Оффлайн Fliker09

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1624
  • Репутация: +120/-1
  • Puppy 4ever!
Re: сборка плагинов audacious под puppy 4.21
« Ответ #1 : 18 Июль 2009, 12:59:25 »
А что за -I и -l? Может стоит их убрать (оставить только путь)?
Я покинул проект так что прошу в случае чего писать мне на мыло!
Драйверы от разных систем НЕСОВМЕСТИМЫ!
http://wellminded.com/puppy/pupsearch.html -
 - поиск по http://www.murga-linux.com/puppy/
http://www.minus.com/ - для постоянного хранения файлов
http://rghost.ru/ - для временного хранения файлов
http://appdb.winehq.org/ - база данных WINE
http://jabberworld.info/ - всё о Jabber
http://convertfiles.com/ - конвертер файлов

Оффлайн Zloy_T

  • Почетный участник
  • Старожил
  • *
  • Сообщений: 326
  • Репутация: +74/-2
Re: сборка плагинов audacious под puppy 4.21
« Ответ #2 : 19 Июль 2009, 00:15:40 »
так в хелпе от configure написано, я просто подставлял пути

В принципе, в чем косяк я уже выяснил (если помнишь, мы про dev-пакеты говорили), просто пока не пересобирал. Время будет, займусь
« Последнее редактирование: 19 Июль 2009, 00:17:17 от Zloy_T »

Оффлайн sov2000

  • Новичок
  • *
  • Сообщений: 21
  • Репутация: +5/-0
  • Мой блог - моя жизнь!
    • Просто блог.
Помогите собрать плагин к audacious.
« Ответ #3 : 19 Ноябрь 2009, 10:07:34 »
Слёзно прошу!  ::) Помогите собрать данный плагин. Он должен скомпилироваться в библиотеку .so,
но я перелопатил форум и не нашёл!!! Если можно, то по шагово расскажите как это сделать, не
убивайте интерес к творчеству :)
Я собирал его в .pet в надежде, что он установится  как библиотека, но в результате получил просто
.pet файл, который тем не менее установился, но без результата... Эх... :-[
Puppy USER

Оффлайн sov2000

  • Новичок
  • *
  • Сообщений: 21
  • Репутация: +5/-0
  • Мой блог - моя жизнь!
    • Просто блог.
Re: Помогите собрать плагин к audacious.
« Ответ #4 : 19 Ноябрь 2009, 11:32:41 »
Ну да... Так я и делал. В результате появляется .pet пакет. И даже устанавливается, но толка к сожалению НОЛЬ!
Puppy USER

Оффлайн georgii-2

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 551
  • Репутация: +14/-0
Re: Помогите собрать плагин к audacious.
« Ответ #5 : 19 Ноябрь 2009, 12:28:56 »
запустите в консоли,что ответит?
ищем простые решения актуальных задач технического прогресса.
AMD Athlon(tm) 64 Processor 3000+
GeForce 6150SE nForce 430

Оффлайн sov2000

  • Новичок
  • *
  • Сообщений: 21
  • Репутация: +5/-0
  • Мой блог - моя жизнь!
    • Просто блог.
Re: Помогите собрать плагин к audacious.
« Ответ #6 : 19 Ноябрь 2009, 14:48:12 »
А .pet пакет разве можно запустить в консоли? Через bash пишет cannot execute binary file.
Я совсен новичёк в линуксах и мало, что понимаю. Сильно не бейте.
Puppy USER

Оффлайн georgii-2

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 551
  • Репутация: +14/-0
Re: Помогите собрать плагин к audacious.
« Ответ #7 : 19 Ноябрь 2009, 16:36:23 »
то есть набираете в терминале название программы,жмётё enter и он даёт такой ответ?
« Последнее редактирование: 19 Ноябрь 2009, 16:39:11 от georgii-2 »
ищем простые решения актуальных задач технического прогресса.
AMD Athlon(tm) 64 Processor 3000+
GeForce 6150SE nForce 430

Оффлайн sov2000

  • Новичок
  • *
  • Сообщений: 21
  • Репутация: +5/-0
  • Мой блог - моя жизнь!
    • Просто блог.
Re: Помогите собрать плагин к audacious.
« Ответ #8 : 19 Ноябрь 2009, 17:10:16 »
Открыл терминал в папке этой программы. В данном случае Desktop. Результат действий в атаче.
Puppy USER

Оффлайн myname

  • Старожил
  • ****
  • Сообщений: 373
  • Репутация: +15/-1
Re: Помогите собрать плагин к audacious.
« Ответ #9 : 19 Ноябрь 2009, 18:52:29 »
А чо там собственно пытаетесь запускать...Консоль пишет что это не бинарник...Ето пакет,его нужно установить сперва

Оффлайн myname

  • Старожил
  • ****
  • Сообщений: 373
  • Репутация: +15/-1
Re: Помогите собрать плагин к audacious.
« Ответ #10 : 19 Ноябрь 2009, 18:56:25 »
Если это какаето либа то её нужно кидать в usr/lib/ ...

Оффлайн vityk

  • Старожил
  • ****
  • Сообщений: 356
  • Репутация: +24/-0
Re: Помогите собрать плагин к audacious.
« Ответ #11 : 19 Ноябрь 2009, 19:12:07 »
Попробуйте при компиляции изменить каталог 
Код
./configure --prefix=/usr
Далее все по тому-же сценарию.

Оффлайн georgii-2

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 551
  • Репутация: +14/-0
Re: Помогите собрать плагин к audacious.
« Ответ #12 : 19 Ноябрь 2009, 20:41:39 »
sov2000
Петпакет xpm-7.2.1-i386.pet установил (с Ваших слов)программу xpm-7.2.1 ,поэтому просто откройте терминал и вбейте xpm-7.2.1 и жмите enter и посмотрим,что он скажет.
« Последнее редактирование: 19 Ноябрь 2009, 20:43:39 от georgii-2 »
ищем простые решения актуальных задач технического прогресса.
AMD Athlon(tm) 64 Processor 3000+
GeForce 6150SE nForce 430

Оффлайн timur73_73

  • Постоялец
  • ***
  • Сообщений: 168
  • Репутация: +14/-0
  • йа
Re: Помогите собрать плагин к audacious.
« Ответ #13 : 19 Ноябрь 2009, 22:36:39 »
А можно поинтересоваться, зачем это плагин?

Оффлайн sov2000

  • Новичок
  • *
  • Сообщений: 21
  • Репутация: +5/-0
  • Мой блог - моя жизнь!
    • Просто блог.
Re: Помогите собрать плагин к audacious.
« Ответ #14 : 20 Ноябрь 2009, 01:56:22 »
sov2000
Петпакет xpm-7.2.1-i386.pet установил (с Ваших слов)программу xpm-7.2.1 ,поэтому просто откройте терминал и вбейте xpm-7.2.1 и жмите enter и посмотрим,что он скажет.

Пишет тоже самое, что и раньше command not found

timur73_73,
Это модуль (кодек) для audacious предназначен для проигрывания в нём треккерной музыки, форматов: XM, IT, MPT и т.д... Очень много их...
Puppy USER